> ## Documentation Index
> Fetch the complete documentation index at: https://developers.closebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List dimension values available for a given dimension.



## OpenAPI

````yaml https://megastream25-api.closebot.com/swagger/v1/swagger.json get /analytics/dimensions/{dimension}/values
openapi: 3.0.4
info:
  title: CloseBot API
  version: v1
servers:
  - url: https://api.closebot.com
    description: CloseBot API Endpoint
security:
  - Key: []
tags:
  - name: Account
  - name: AccountNotification
  - name: Agency
  - name: Analytics
  - name: Billing
  - name: Bot
  - name: BotMetric
  - name: BotSourceVariable
  - name: BotTemplate
  - name: BotTesting
  - name: Dashboard
  - name: Hierarchy
  - name: Lead
  - name: Leaderboard
  - name: Library
  - name: LiveDemo
  - name: Notification
  - name: Persona
  - name: Report
  - name: SmartFAQ
  - name: Source
  - name: SourceChannel
  - name: Webhook
paths:
  /analytics/dimensions/{dimension}/values:
    get:
      tags:
        - Analytics
      summary: List dimension values available for a given dimension.
      parameters:
        - name: dimension
          in: path
          description: One of channel, bot, persona, detail1, detail2.
          required: true
          schema:
            type: string
        - name: metric
          in: query
          description: Required for detail1/detail2 — their meaning depends on the metric.
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AnalyticsDimensionValueDto'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AnalyticsDimensionValueDto'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AnalyticsDimensionValueDto'
components:
  schemas:
    AnalyticsDimensionValueDto:
      required:
        - label
        - value
      type: object
      properties:
        value:
          type: string
          description: >-
            Raw value to send back in a filter. The empty string means
            "unknown".
          nullable: true
        label:
          type: string
          description: What to show in the dropdown.
          nullable: true
      additionalProperties: false
  securitySchemes:
    Key:
      type: apiKey
      description: CloseBot API Key Authorization
      name: X-CB-KEY
      in: header

````